CVE Vulnerabilities

CVE-2019-17528

Published: Oct 12, 2019 | Modified: Aug 24, 2020
CVSS 3.x
7.5
HIGH
Source:
NVD
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
CVSS 2.x
4.3 MEDIUM
AV:N/AC:M/Au:N/C:N/I:N/A:P
RedHat/V2
RedHat/V3
Ubuntu
MEDIUM

An issue was discovered in Bento4 1.5.1.0. There is a SEGV in the function AP4_TfhdAtom::SetDefaultSampleSize at Core/Ap4TfhdAtom.h when called from AP4_Processor::ProcessFragments in Core/Ap4Processor.cpp.

Affected Software

Name Vendor Start Version End Version
Bento4 Axiosys 1.5.1.0 (including) 1.5.1.0 (including)
Kodi-inputstream-adaptive Ubuntu kinetic *
Kodi-inputstream-adaptive Ubuntu lunar *
Kodi-inputstream-adaptive Ubuntu trusty *
Kodi-inputstream-adaptive Ubuntu xenial *

References